<template>
  <WordCard
    :card="card"
  />
  <!-- <h1>{{query}}</h1>
  <h2>{{route}}</h2> -->
</template>

<script setup lang="ts">
import WordCard from "./WordCard.vue";
const route = useRoute()
const { query }= useRoute()
const card: StormCard = {
  No: 0,
  word: !query.word ? ""
    : typeof query.word === "string"
      ? query.word
      : query.word.join(" "),
  ori: !query.ori ? ""
    : typeof query.ori === "string"
      ? query.ori
      : query.ori.join(" "),
  src: query.src === "zh" ? "zh" : "ja",
  tgt: query.tgt === "zh" ? "zh" : "ja",
  comment: !query.comment ? ""
    : typeof query.comment === "string"
      ? query.comment
      : query.comment.join(" "),
  author: !query.author ? ""
    : typeof query.author === "string"
      ? query.author
      : query.author.join(" "),
  randamize: -1,
}
</script>